package ch.zhaw.pm2.racetrack.strategy;

import ch.zhaw.pm2.racetrack.PositionVector.Direction;
import ch.zhaw.pm2.racetrack.UserInterface;

/**
 * Let the user decide the next move.
 */
public class UserMoveStrategy implements MoveStrategy {
    private UserInterface userInterface;
    private int carIndex;
    private char carID;

    public UserMoveStrategy(UserInterface userInterface, int carIndex, char carID) {
        this.userInterface = userInterface;
        this.carIndex = carIndex;
        this.carID = carID;
    }

    @Override
    public Direction nextMove() {
        return userInterface.selectDirection(carIndex, carID);
    }
}
